:root {
	--wp-admin-theme-color: var(--color-primary);
	--wp-admin-menu-bg: #0c0c0c;
	--wp-admin-link-color: color-mix(in srgb, var(--color-primary) 90%, black);
}

#wpadminbar {
	background: var(--wp-admin-menu-bg);

	.ab-submenu,
	.ab-sub-wrapper {
		background: var(--wp-admin-menu-bg) !important;
	}

	li {
		&:hover {
			background: var(--wp-admin-menu-bg);
			color: var(--wp-admin-theme-color) !important;

			> a,
			> a:before {
				background: transparent !important;
				color: var(--wp-admin-theme-color) !important;
			}
		}
	}

	a {
		background: transparent !important;

		&:hover, &:focus, &:active {
			color: var(--wp-admin-theme-color) !important;
			background: transparent !important;

			*,
			&:before,
			.ab-icon:before {
				color: var(--wp-admin-theme-color) !important;
			}
		}
	}
}
